from Products.CMFCore.permissions import setDefaultRoles
from Products.CMFCore.permissions import AddPortalContent as ADD_DEFAULT

from Products.SevenVideo.config import PROJECTNAME
from Products.SevenVideo.config import CUSTOM_PERMISSIONS

ADD_PERMISSIONS = {}

# Generate permissions
for portal_type, actions in CUSTOM_PERMISSIONS.items():
    for action in actions:
        name = ('%s_%s' % (action, portal_type)).replace(' ','_').upper()
        permission = '%s: %s %s' % (PROJECTNAME, action, portal_type)
        locals().setdefault(name, permission)
        if action.lower() == 'add':
            ADD_PERMISSIONS[portal_type] = permission
            setDefaultRoles(permission, ['Manager'])
